The Brownback/Colyer administration has failed to adequately administer KanCare 1.0 over the past five years.  Now they have proposed a harmful extension of the program, known as KanCare 2.0, and instead of covering more Kansans it adds more red tape and barriers to coverage, making it harder for everyone to get care.

KanCare needs to cover more Kansans. But today there is an enrollment backlog, poor communication and excessive requirements. The Brownback/Colyer administration is now proposing new barriers to coverage like work requirements and lifetime limits.

The federal government is currently accepting public comment on KanCare 2.0 and we need your help letting them know we should fix KanCare 1.0 and expand coverage before they approve KanCare 2.0.